From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/fbida/
Date: Wed, 30 Mar 2016 04:22:16 +0000 (UTC) [thread overview]
Message-ID: <1459311712.a0f90fbfa824dc8d15952b6c15cec0131ac52628.jer@gentoo> (raw)
commit: a0f90fbfa824dc8d15952b6c15cec0131ac52628
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 30 04:21:52 2016 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Mar 30 04:21:52 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0f90fbf
media-gfx/fbida: Version bump.
Package-Manager: portage-2.2.28
media-gfx/fbida/Manifest | 1 +
media-gfx/fbida/fbida-2.11.ebuild | 112 ++++++++++++++++++++++++++++++++++++++
2 files changed, 113 insertions(+)
diff --git a/media-gfx/fbida/Manifest b/media-gfx/fbida/Manifest
index 13debd5..ea42889 100644
--- a/media-gfx/fbida/Manifest
+++ b/media-gfx/fbida/Manifest
@@ -1,2 +1,3 @@
DIST fbida-2.10.tar.gz 283490 SHA256 7a5a3aac61b40a6a2bbf716d270a46e2f8e8d5c97e314e927d41398a4d0b6cb6 SHA512 b7371c19d68cc7219faca4bbfa464c85df2eb22c7bd737d4f0a6fb3de481497862ca22832801d29bab57285d5a8d7d0b0009e14426efdce2759d47340f5eca6d WHIRLPOOL 78c5dc34a9f050e560ada960718a9f43e6d8c95fe4c91c052a70c93350de80eebd3e8e9b6c26361ecd8361efe96824e78b2af7a2b2e27430a11e712bb9a02ee0
+DIST fbida-2.11.tar.gz 285691 SHA256 7caa63d6d09aeeef6209556f3e2d05083a6a9ffc47636dee7e6019b3eea5a103 SHA512 fcebcb4b4bf7bcbb68e7f66ac0f38ee744f90e2393b717d5e06ae0fd1d01d4902379b2cbc886e8f7c70743f75ec38999a0163683881248c2443e53af7231c5af WHIRLPOOL a4286db58de332da6b3ef1f815f9f27b6162e8dffb456d2506b8c75cd6551d621b51aa26f7c53c7ca834d817c51eccddbb07b0863e3bc8ac9e41ea61331b0114
DIST ida.png.bz2 11928 SHA256 ce90c13f8da8d2ced4cf0e55d2f960bc236355f6e5dd60ea6c56fbe51e6cabae SHA512 cf3c1bc8d25fe75f10c0a0414b5c082348df2fa94864ec4537c36e0b357cf35b68e2eca205bbf48578a41c27317701aee621c6dd176e0bf3857c52f895d6bfd3 WHIRLPOOL 1b5e7835aa8a555a231ca58da8e249974639b29b1e15586c2d2d5a33e96908df1a3782fbe61d0c51dc888b7304c9f7541a96af4ca2b956b393909feb534ab5be
diff --git a/media-gfx/fbida/fbida-2.11.ebuild b/media-gfx/fbida/fbida-2.11.ebuild
new file mode 100644
index 0000000..f43d6b9
--- /dev/null
+++ b/media-gfx/fbida/fbida-2.11.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Image viewers for the framebuffer console (fbi) and X11 (ida)"
+HOMEPAGE="http://www.kraxel.org/blog/linux/fbida/"
+SRC_URI="
+ http://www.kraxel.org/releases/${PN}/${P}.tar.gz
+ mirror://gentoo/ida.png.bz2
+"
+LICENSE="GPL-2 IJG"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sh ~sparc ~x86"
+IUSE="curl fbcon +gif lirc pdf +png scanner +tiff X +webp"
+REQUIRED_USE="
+ pdf? ( tiff )
+"
+
+RDEPEND="
+ !media-gfx/fbi
+ >=media-libs/fontconfig-2.2
+ >=media-libs/freetype-2.0
+ media-libs/libexif
+ curl? ( net-misc/curl )
+ gif? ( media-libs/giflib:= )
+ lirc? ( app-misc/lirc )
+ png? ( media-libs/libpng:* )
+ scanner? ( media-gfx/sane-backends )
+ tiff? ( media-libs/tiff:* )
+ virtual/jpeg:*
+ virtual/ttf-fonts
+ webp? ( media-libs/libwebp )
+ X? (
+ >=x11-libs/motif-2.3:0
+ x11-libs/libX11
+ x11-libs/libXpm
+ x11-libs/libXt
+ )
+"
+
+DEPEND="
+ ${RDEPEND}
+ X? ( x11-proto/xextproto x11-proto/xproto )
+ pdf? ( app-text/ghostscript-gpl )
+"
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/ida-desktop.patch \
+ "${FILESDIR}"/${PN}-2.10-giflib-4.2.patch \
+ "${FILESDIR}"/${PN}-2.10-fprintf-format.patch
+
+ tc-export CC CPP
+
+ # upstream omission?
+ echo ${PV} > VERSION
+}
+
+src_configure() {
+ # Let autoconf do its job and then fix things to build fbida
+ # according to our specifications
+ emake Make.config
+
+ gentoo_fbida() {
+ local useflag=${1}
+ local config=${2}
+
+ local option="no"
+ use ${useflag} && option="yes"
+
+ sed -i \
+ -e "s|HAVE_${config}.*|HAVE_${config} := ${option}|" \
+ "${S}/Make.config" || die
+ }
+
+ gentoo_fbida X MOTIF
+ gentoo_fbida curl LIBCURL
+ gentoo_fbida fbcon LINUX_FB_H
+ gentoo_fbida gif LIBUNGIF
+ gentoo_fbida lirc LIBLIRC
+ gentoo_fbida pdf LIBTIFF
+ gentoo_fbida png LIBPNG
+ gentoo_fbida scanner LIBSANE
+ gentoo_fbida tiff LIBTIFF
+ gentoo_fbida webp LIBWEBP
+}
+
+src_compile() {
+ emake verbose=yes
+}
+
+src_install() {
+ emake \
+ DESTDIR="${D}" \
+ STRIP="" \
+ prefix=/usr \
+ install
+
+ dodoc README
+
+ if use fbcon && ! use pdf; then
+ rm "${D}"/usr/bin/fbgs "${D}"/usr/share/man/man1/fbgs.1 || die
+ fi
+
+ if use X ; then
+ doicon "${WORKDIR}"/ida.png
+ domenu desktop/ida.desktop
+ fi
+}
next reply other threads:[~2016-03-30 4:22 UTC|newest]
Thread overview: 41+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-03-30 4:22 Jeroen Roovers [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-15 6:35 [gentoo-commits] repo/gentoo:master commit in: media-gfx/fbida/ Sam James
2023-12-15 6:35 Sam James
2023-03-09 1:09 Sam James
2023-02-01 7:23 Sam James
2022-12-16 4:30 Sam James
2022-08-28 5:06 WANG Xuerui
2022-07-30 5:22 Yixun Lan
2021-10-31 0:19 Sam James
2021-06-19 15:29 Sergei Trofimovich
2021-06-12 17:14 Sam James
2021-01-03 0:54 Andreas K. Hüttel
2020-11-18 6:53 Agostino Sarubbo
2020-11-17 19:10 Agostino Sarubbo
2020-10-27 8:46 Sergei Trofimovich
2020-10-26 0:15 Sam James
2020-09-05 9:12 Jeroen Roovers
2020-09-05 8:29 Jeroen Roovers
2020-09-04 14:19 Jeroen Roovers
2020-09-02 21:03 Sergei Trofimovich
2020-05-13 8:22 Jeroen Roovers
2019-04-24 18:34 Jeroen Roovers
2018-10-19 8:51 Michał Górny
2018-05-27 16:11 Aaron Bauman
2017-03-18 10:16 Jeroen Roovers
2017-02-02 7:31 Jeroen Roovers
2017-01-04 15:29 Agostino Sarubbo
2016-10-15 4:16 Jeroen Roovers
2016-07-31 11:39 Jeroen Roovers
2016-07-31 11:14 Jeroen Roovers
2016-07-31 11:11 Jeroen Roovers
2016-07-31 11:11 Jeroen Roovers
2016-07-01 5:30 Jeroen Roovers
2016-06-08 19:30 Markus Meier
2016-06-01 11:38 Tobias Klausmann
2016-05-20 11:16 Jeroen Roovers
2016-04-07 11:03 Jeroen Roovers
2016-02-02 16:01 Tobias Klausmann
2016-01-24 8:08 Jeroen Roovers
2016-01-23 16:59 Agostino Sarubbo
2016-01-23 14:52 Markus Meier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1459311712.a0f90fbfa824dc8d15952b6c15cec0131ac52628.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox